<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_irretutorial_mnattr_hotel"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnattr_hotel"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,offers"
	),
	"feInterface" => $TCA["tx_irretutorial_mnattr_hotel"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"offers" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel.offers",		
			"config" => Array (
				"type" => "inline",
				"foreign_table" => "tx_irretutorial_mnattr_hotel_offer_rel",
				"foreign_field" => "hotelid",
				"foreign_sortby" => "hotelsort",
				"foreign_label" => "offerid",
				"maxitems" => 10,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, offers;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_irretutorial_mnattr_hotel_offer_rel"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnattr_hotel_offer_rel"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,hotelid,offerid,hotelsort,offersort,quality,allincl"
	),
	"feInterface" => $TCA["tx_irretutorial_mnattr_hotel_offer_rel"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"hotelid" => Array (		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.hotelid",		
			"config" => Array (
				"type" => "select",
				"foreign_table" => "tx_irretutorial_mnattr_hotel",
				"maxitems" => 1,
			)
		),
		"offerid" => Array (		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.offerid",		
			"config" => Array (
				"type" => "select",
				"foreign_table" => "tx_irretutorial_mnattr_offer",
				"maxitems" => 1,
			)
		),
		"hotelsort" => Array (
			"config" => Array (
				"type" => "passthrough",
			)
		),
		"offersort" => Array (
			"config" => Array (
				"type" => "passthrough",
			)
		),
		"quality" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.quality",
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.quality.I.0", "1"),
					Array("LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.quality.I.1", "2"),
					Array("LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.quality.I.2", "3"),
					Array("LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.quality.I.3", "4"),
					Array("LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.quality.I.4", "5"),
				),
			)
		),
		"allincl" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.allincl",
			"config" => Array (
				"type" => "check",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, hotelid;;;;3-3-3, offerid, hotelsort, offersort, quality, allincl")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_irretutorial_mnattr_offer"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnattr_offer"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,hotels"
	),
	"feInterface" => $TCA["tx_irretutorial_mnattr_offer"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_offer.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"hotels" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_offer.hotels",		
			"config" => Array (
				"type" => "inline",
				"foreign_table" => "tx_irretutorial_mnattr_hotel_offer_rel",
				"foreign_field" => "offerid",
				"foreign_sortby" => "offersort",
				"foreign_label" => "hotelid",
				"maxitems" => 10,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, hotels")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);
?>