<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_irretutorial_mnsym_hotel"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnsym_hotel"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,branches"
	),
	"feInterface" => $TCA["tx_irretutorial_mnsym_hotel"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"branches" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel.branches",		
			"config" => Array (
				"type" => "inline",
				"foreign_table" => "tx_irretutorial_mnsym_hotel_rel",
				"foreign_field" => "hotelid",
				"foreign_sortby" => "hotelsort",
				"foreign_label" => "branchid",
				"symmetric_field" => "branchid",
				"symmetric_sortby" => "branchsort",
				"symmetric_label" => "hotelid",
				"maxitems" => 10,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, branches;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_irretutorial_mnsym_hotel_rel"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnsym_hotel_rel"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,hotelid,offerid,hotelsort,offersort"
	),
	"feInterface" => $TCA["tx_irretutorial_mnsym_hotel_rel"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"hotelid" => Array (		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_rel.hotelid",		
			"config" => Array (
				"type" => "select",
				"foreign_table" => "tx_irretutorial_mnsym_hotel",
				"maxitems" => 1,
			)
		),
		"branchid" => Array (		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_rel.branchid",		
			"config" => Array (
				"type" => "select",
				"foreign_table" => "tx_irretutorial_mnsym_hotel",
				"maxitems" => 1,
			)
		),
		"hotelsort" => Array (
			"config" => Array (
				"type" => "passthrough",
			)
		),
		"branchsort" => Array (
			"config" => Array (
				"type" => "passthrough",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, hotelid;;;;3-3-3, branchid, hotelsort, branchsort")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);
?>